/* =====================================================
   1. BOOTSTRAP OVERRIDES
   ===================================================== */
:root {
  --bs-font-sans-serif: "Open Sans", sans-serif;
  --bs-body-font-family: var(--bs-font-sans-serif);

  --bs-primary: #008dc4;
  --bs-primary-rgb: 0, 141, 196;
  --bs-primary-hover: #007fb1;
  --bs-primary-hover-border: #0075a4;
  --bs-primary-active: #0075a4;
  --bs-primary-active-border: #006b97;

  --bs-secondary: #009e55;
  --bs-secondary-rgb: 0, 158, 85;
  --bs-secondary-hover: #008f4c;
  --bs-secondary-hover-border: #008547;
  --bs-secondary-active: #008547;
  --bs-secondary-active-border: #007b42;

  --bs-grey: #6c757d;
  --bs-grey-rgb: 108, 117, 125;

  --bs-body-color: #000;
}

/* =====================================================
   2. LAYOUT
===================================================== */
html,
body {
  min-height: 100%;
}
html {
  scroll-behavior: smooth;
}
body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

main {
  flex: 1;
  padding: 0 0 60px 0;
}

.section {
  padding: 40px 0;
}
.section.page-intro {
  padding-top: 50px;
}
h1.page-title,
h2.section-title {
  font-size: 1.875rem;
  text-transform: uppercase;
  color: var(--bs-secondary);
}
h1.page-title {
  color: var(--bs-secondary);
}
.team-box h2.section-title,
.service h2.section-title {
  color: var(--bs-primary);
}
.kundenkarte-box h2.section-title {
  color: var(--bs-secondary);
}
.page-intro p {
  font-size: 1.125rem;
}

.section.team,
.section.kundenkarte,
.section.service {
  padding-top: 160px;
  font-size: 1.125rem;
}
.service-item h3 {
  font-size: 1.5rem;
}
.service-item p {
  font-size: 1.125rem;
}
.section.service .card {
  transition: background-color 0.3s ease;
}
.section.service .card:hover {
  background-color: rgba(var(--bs-primary-rgb), 0.1);
}
.section dl {
  font-size: 1.125rem;
}
/* =========================================
   3. UTILITIES
========================================= */
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Josefin Sans", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
}
.fw-100 {
  font-weight: 100;
}
.fw-200 {
  font-weight: 200;
}
.fw-300 {
  font-weight: 300;
}
.fw-400 {
  font-weight: 400;
}
.fw-500 {
  font-weight: 500;
}
.fw-600 {
  font-weight: 600;
}
.fw-700 {
  font-weight: 700;
}
.fw-800 {
  font-weight: 800;
}
.shadow-secondary {
  box-shadow: 0 0 20px rgba(var(--bs-secondary-rgb), 0.15);
  transition: box-shadow 0.3s ease;
}
.shadow-secondary.hover-effect:hover {
  box-shadow: 0 0 20px rgba(var(--bs-secondary-rgb), 0.25);
}
.shadow-primary {
  box-shadow: 0 0 20px rgba(var(--bs-primary-rgb), 0.15);
  transition: box-shadow 0.3s ease;
}
.shadow-primary.hover-effect:hover {
  box-shadow: 0 0 20px rgba(var(--bs-primary-rgb), 0.25);
}
.shadow-grey {
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.05);
  transition: box-shadow 0.3s ease;
}
.shadow-grey.hover-effect:hover {
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
}
/* =========================================
   4. HERO
========================================= */
.topbar {
  padding-left: 1.875rem;
  padding-right: 1.875rem;
}
.header {
  display: flex;
  flex-direction: column;
}
.header-home {
  height: 760px;
}
.header-page {
  height: 560px;
}

.hero {
  position: relative;
  height: auto;
  flex-grow: 1;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
/* .header-page .hero {
  height: 110px;
}
.header-logo > img {
  width: auto;
  max-height: 100px;
}
.waves {
  position: absolute;
  height: 80px;
  overflow: hidden;
  bottom: 0;
  width: 100%;
}
.wave {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 80px;
  mask-repeat: repeat-x;
  mask-size: 2880px 80px;
  -webkit-mask-repeat: repeat-x;
  -webkit-mask-size: 2880px 80px;
}

.wave-back {
  background: #008dc4;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 2880 80'%3E%3Cpath fill='black' d='M0,25 C200,40 400,10 600,25 C800,40 1000,60 1200,45 C1400,30 1600,5 1800,20 C2000,35 2200,55 2400,40 C2600,25 2740,30 2880,35 L2880,80 L0,80 Z'/%3E%3C/svg%3E");
}
.wave-mid {
  background: #009e55;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 2880 80'%3E%3Cpath fill='black' d='M0,35 C220,20 440,50 660,35 C880,20 1100,0 1320,15 C1540,30 1760,60 1980,50 C2200,40 2420,15 2640,25 C2760,30 2820,30 2880,35 L2880,80 L0,80 Z'/%3E%3C/svg%3E");
}
.wave-front {
  background: #fff;
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 2880 80'%3E%3Cpath fill='black' d='M0,45 C180,30 360,50 540,40 C720,30 900,10 1080,20 C1260,30 1440,55 1620,50 C1800,45 1980,25 2160,30 C2340,35 2520,45 2700,40 C2790,38 2835,40 2880,45 L2880,80 L0,80 Z'/%3E%3C/svg%3E");
}

.wave-back {
  top: 0;
}
.wave-mid {
  top: 5px;
}
.wave-front {
  top: 20px;
}
*/
/* =========================================
   5. MENU
========================================= */
.hamburger {
  z-index: 1046;
  padding: 0;
}
.hamburger .menu-line {
  display: block;
  width: 36px;
  height: 3px;
  margin-bottom: 10px;
  transition: all 0.3s ease-in-out;
  background-color: var(--bs-secondary);
}
.hamburger .menu-line:nth-child(2) {
  background-color: var(--bs-primary);
}
.hamburger.is-active .menu-line:nth-child(1) {
  transform: translateY(13px) rotate(45deg);
}

.hamburger.is-active .menu-line:nth-child(2) {
  opacity: 0;
}

.hamburger.is-active .menu-line:nth-child(3) {
  transform: translateY(-13px) rotate(-45deg);
}
.hamburger.is-active .menu-line {
  background-color: var(--bs-primary);
}
#side-menu {
  background: var(--bs-offcanvas-bg);
  /*--bs-offcanvas-width: 560px;*/
}
#side-menu .offcanvas-body {
  padding-top: 8rem;
  padding-left: 2rem;
}
#page-nav a.nav-link {
  text-transform: uppercase;
  font-size: 1.25rem;
  font-weight: 400;
  color: var(--color-gray-light);
  line-height: 1;
  padding-left: 0;
}
#page-nav a.nav-link:hover,
#page-nav a.nav-link:focus,
#page-nav a.nav-link.active {
  color: var(--bs-secondary);
}
#page-nav .dropdown-menu {
  position: relative !important;
  width: 100%;
  transform: translate(0) !important;
  border-radius: 0;
  border: none;
  padding-left: 15px;
  background: var(--bs-offcanvas-bg);
}
#page-nav a.dropdown-item {
  font-size: 1rem;
  font-weight: 400;
  color: #000;
  line-height: 1;
  padding: 0.5rem 1rem;
}
#page-nav a.dropdown-item:hover,
#page-nav a.dropdown-item:focus,
#page-nav a.dropdown-item.active {
  color: var(--bs-secondary);
  background: none;
}
#page-nav a.nav-link,
#page-nav a.dropdown-item {
  font-family: "Josefin Sans", sans-serif;
}
/* =========================================
   6. COMPONENTS
========================================= */
.btn-primary {
  --bs-btn-color: #fff;
  --bs-btn-bg: var(--bs-primary);
  --bs-btn-border-color: var(--bs-primary);

  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: var(--bs-primary-hover);
  --bs-btn-hover-border-color: var(--bs-primary-hover-border);

  --bs-btn-focus-shadow-rgb: var(--bs-primary-focus-rgb);

  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: var(--bs-primary-active);
  --bs-btn-active-border-color: var(--bs-primary-active-border);

  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);

  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: var(--bs-primary);
  --bs-btn-disabled-border-color: var(--bs-primary);
}
.btn-secondary {
  --bs-btn-color: #fff;
  --bs-btn-bg: var(--bs-secondary);
  --bs-btn-border-color: var(--bs-secondary);

  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: var(--bs-secondary-hover);
  --bs-btn-hover-border-color: var(--bs-secondary-hover-border);

  --bs-btn-focus-shadow-rgb: var(--bs-secondary-focus-rgb);

  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: var(--bs-secondary-active);
  --bs-btn-active-border-color: var(--bs-secondary-active-border);

  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);

  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: var(--bs-secondary);
  --bs-btn-disabled-border-color: var(--bs-secondary);
}
.btn-rounded {
  border-radius: 50%;
}
.btn-header {
  font-size: 0.75rem;
}
#contact-btn { 
    position: fixed;
    bottom: 30px;
    right: 30px;
    background: var(--bs-secondary);
    color: #fff;
    text-decoration: none;
    padding: 15px 12px;
    border-radius: 50%;
    z-index: 9999;
}

.card-img-top {
  width: 100%;
  height: auto;
}
h3.card-title {
  font-size: 1.5rem;
}

.card-img-zoom img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  transition: transform 0.4s ease;
}
.card-img-zoom:hover img {
  transform: scale(1.1);
}

.card-overlay::before {
  content: "";
  position: absolute;
  inset: 0;

  background: linear-gradient(
    0deg,
    rgba(var(--bs-grey-rgb), 1) 0%,
    rgba(var(--bs-grey-rgb), 0) 65%
  );
  z-index: 1;
}

.card-overlay .card-img-overlay {
  padding-left: 1rem;
  padding-bottom: 0.75rem;
  z-index: 2;
}
.card-overlay img {
  transition: transform 0.4s ease;
}
.card-overlay:hover img {
  transform: scale(1.1);
}
.card-overlay a {
  color: #fff;
  text-decoration: none;
}
.breadcrumb {
  margin-bottom: 0;
}
.breadcrumb-item {
  text-transform: uppercase;
  position: relative;
  font-weight: 600;
}
.breadcrumb-item a {
  color: var(--bs-secondary);
  /* color: #fff;*/

  text-decoration: none;
}
.breadcrumb-item + .breadcrumb-item::before {
  color: var(--bs-secondary);
}
.breadcrumb-item.active {
  color: var(--bs-secondary);
}

.breadcrumb-item > a:hover::after {
  content: "";
  position: absolute;
  width: calc(100% - 20px);
  bottom: -1px;
  height: 2px;
  background: var(--bs-secondary);
  left: 20px;
}
.breadcrumb-item:first-child > a:hover::after {
  width: 100%;
  left: 0;
}
.breadcrumb-item a:hover,
.breadcrumb-item a:focus {
  text-decoration: none;
}
/* =========================================
   7. FOOTER
========================================= */
footer {
  color: #fff;
  margin-top: 120px;
}
footer a {
  color: #fff;
  text-decoration: none;
}
footer a:hover,
footer a:focus {
  text-decoration: underline;
}
.footer-separator {
  line-height: 1;
  display: inline-block;
  transform: translateY(-1px);
}
.footer-social a {
  text-decoration: none;
}
footer h6 {
  font-size: 1.125rem;
  text-transform: uppercase;
}
.logo-footer {
  max-width: 250px;
}

.footer-waves {
  position: absolute;
  top: -80px;
  left: 0;
  width: 100%;
  height: 80px;
  overflow: hidden;
}

/* base wave */
.footer-wave {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 80px;

  mask-repeat: repeat-x;
  mask-size: 2880px 80px;

  -webkit-mask-repeat: repeat-x;
  -webkit-mask-size: 2880px 80px;
}

/* back transparent layer */
.footer-wave-back {
  background: rgba(var(--bs-secondary-rgb), 0.35);
  z-index: 1;

  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 2880 80'%3E%3Cpath fill='black' d='M0,35 C220,10 440,55 660,30 C880,5 1100,45 1320,25 C1540,5 1760,55 1980,40 C2200,25 2420,5 2640,20 C2760,28 2820,30 2880,35 L2880,80 L0,80 Z'/%3E%3C/svg%3E");

  -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 2880 80'%3E%3Cpath fill='black' d='M0,35 C220,10 440,55 660,30 C880,5 1100,45 1320,25 C1540,5 1760,55 1980,40 C2200,25 2420,5 2640,20 C2760,28 2820,30 2880,35 L2880,80 L0,80 Z'/%3E%3C/svg%3E");
}

/* front solid layer */
.footer-wave-front {
  background: var(--bs-secondary);
  z-index: 2;
  top: 8px;

  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 2880 80'%3E%3Cpath fill='black' d='M0,45 C180,25 360,60 540,40 C720,20 900,5 1080,18 C1260,30 1440,55 1620,50 C1800,45 1980,20 2160,28 C2340,36 2520,48 2700,42 C2790,40 2835,42 2880,45 L2880,80 L0,80 Z'/%3E%3C/svg%3E");

  -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 2880 80'%3E%3Cpath fill='black' d='M0,45 C180,25 360,60 540,40 C720,20 900,5 1080,18 C1260,30 1440,55 1620,50 C1800,45 1980,20 2160,28 C2340,36 2520,48 2700,42 C2790,40 2835,42 2880,45 L2880,80 L0,80 Z'/%3E%3C/svg%3E");
}
/* =========================================
   8. RESPONSIVE
========================================= */
@media (min-width: 576px) {
}
@media (min-width: 768px) {
  #page-nav a.nav-link {
    font-size: 1.5rem;
  }
  #page-nav a.dropdown-item {
    font-size: 1.125rem;
  }
}
@media (min-width: 992px) {
  .header-logo > img {
    width: auto;
    max-height: 130px;
  }
  .btn-header {
    font-size: 1rem;
  }
}
@media (min-width: 1200px) {
  .img-team,
  .img-kundenkarte {
    margin-top: -80px;
  }
}
@media (min-width: 1400px) {
}
@media (min-width: 1600px) {
}
